[Pkg-samba-maint] Bug#571635: Bug#571635: samba: Should provide headers for libraries development.

Steve Langasek vorlon at debian.org
Sat Feb 27 17:06:42 UTC 2010

tags 571635 -patch

On Sat, Feb 27, 2010 at 03:06:33PM +0100, Jelmer Vernooij wrote:
> On Fri, 2010-02-26 at 19:19 +0300, Al Nikolov wrote:
> > Package: samba
> > Version: 2:3.4.5~dfsg-2
> > Severity: wishlist
> > Tags: patch

> > A binary package providing with configured Samba header files is
> > necessary for VFS-objects development. The patch attached should fix
> > this.
> Unfortunately there is no stability in the internal Samba 3 API's, so I
> don't think it we should just blindly install these headers. 

> At the very least, what is installed should be limited to those headers
> that are relatively stable. Samba 4, talloc and tdb headers should be
> excluded since they're already packaged elsewhere.

> A perhaps saner solution would be to have upstream install those headers
> that are stable and necessary for building modules rather than trying to
> figure out what that set is on our own.


(Moreover, the proposed patch is wrong, /usr/src is not where the FHS says
these should be installed.)

Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek at ubuntu.com                                     vorlon at debian.org
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 828 bytes
Desc: Digital signature
URL: <http://lists.alioth.debian.org/pipermail/pkg-samba-maint/attachments/20100227/ac581495/attachment.pgp>

More information about the Pkg-samba-maint mailing list